/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008-2009 Bull S.A.S.
 * Copyright (C) 2008-2009 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: CustomAlert.as 2965 2009-01-12 12:14:51Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.client.flex.view {

    import mx.controls.Alert;

    /**
     * This class is used to customize the alert windows
     */
    public class CustomAlert extends Alert {

        public static function info(message : String, closehandler : Function = null) : void {
            show(message, "Information", Alert.OK, null, closehandler, null, Alert.OK);
        }

        public static function error(message : String, closehandler : Function = null) : void {
            show(message, "Error", Alert.OK, null, closehandler, null, Alert.OK);
        }

        public static function confirm(message : String, closehandler : Function = null) : void {
            show(message, "Confirmation", Alert.YES | Alert.NO, null, closehandler, null, Alert.NO);
        }
    }

}